| IDA SDK

Functions
Functions: open built-in windows

## Detailed Description

Convenience functions for ui_open_builtin.

## Functions
TWidget * | open_exports_window (ea_t ea)
| Open the exports window (ui_open_builtin). More...
TWidget * | open_imports_window (ea_t ea)
| Open the exports window (ui_open_builtin). More...
TWidget * | open_names_window (ea_t ea)
| Open the names window (ui_open_builtin). More...
TWidget * | open_funcs_window (ea_t ea)
| Open the 'Functions' window (ui_open_builtin). More...
TWidget * | open_strings_window (ea_t ea, ea_t selstart=BADADDR, ea_t selend=BADADDR)
| Open the 'Strings' window (ui_open_builtin). More...
TWidget * | open_segments_window (ea_t ea)
| Open the segments window (ui_open_builtin). More...
TWidget * | open_segregs_window (ea_t ea)
| Open the segment registers window (ui_open_builtin). More...
TWidget * | open_selectors_window (void)
| Open the selectors window (ui_open_builtin). More...
TWidget * | open_signatures_window (void)
| Open the signatures window (ui_open_builtin). More...
TWidget * | open_tils_window (void)
| Open the type libraries window (ui_open_builtin). More...
TWidget * | open_loctypes_window (int ordinal, const tif_cursor_t *cursor=nullptr)
| Open the local types window (ui_open_builtin2). More...
TWidget * | open_til_view_window (tinfo_t *tif, const tif_cursor_t *cursor=nullptr)
| Open the sub-til window (ui_open_builtin2). More...
TWidget * | open_calls_window (ea_t ea)
| Open the function calls window (ui_open_builtin). More...
TWidget * | open_problems_window (ea_t ea)
| Open the problems window (ui_open_builtin). More...
TWidget * | open_bpts_window (ea_t ea)
| Open the breakpoints window (ui_open_builtin). More...
TWidget * | open_threads_window (void)
| Open the threads window (ui_open_builtin). More...
TWidget * | open_modules_window (void)
| Open the modules window (ui_open_builtin). More...
TWidget * | open_trace_window (void)
| Open the tracing window (ui_open_builtin). More...
TWidget * | open_stack_window (void)
| Open the call stack window (ui_open_builtin). More...
TWidget * | open_xrefs_window (ea_t ea)
| Open the cross references window (ui_open_builtin). More...
TWidget * | open_frame_window (func_t *pfn, uval_t offset)
| Open the frame window for the given function (ui_open_builtin). More...
TWidget * | open_navband_window (ea_t ea, int zoom)
| Open the navigation band window (ui_open_builtin). More...
TWidget * | open_disasm_window (const char *window_title, const rangevec_t *ranges=nullptr)
| Open a disassembly view (ui_open_builtin). More...
TWidget * | open_hexdump_window (const char *window_title)
| Open a hexdump view (ui_open_builtin). More...
TWidget * | open_notepad_window (void)
| Open the notepad window (ui_open_builtin). More...
TWidget * | open_bookmarks_window (TWidget *w)
| Open the bookmarks window (ui_open_builtin). More...

## Function Documentation

## ◆ open_exports_window()

TWidget * open_exports_window | ( | ea_t | ea | ) |
| inline

Open the exports window (ui_open_builtin).

Parameters

  ea | index of entry to select by default

Returns
  pointer to resulting window

## ◆ open_imports_window()

TWidget * open_imports_window | ( | ea_t | ea | ) |
| inline

Open the exports window (ui_open_builtin).

Parameters

  ea | index of entry to select by default

Returns
  pointer to resulting window

## ◆ open_names_window()

TWidget * open_names_window | ( | ea_t | ea | ) |
| inline

Open the names window (ui_open_builtin).

Parameters

  ea | index of entry to select by default

Returns
  pointer to resulting window

## ◆ open_funcs_window()

TWidget * open_funcs_window | ( | ea_t | ea | ) |
| inline

Open the 'Functions' window (ui_open_builtin).

Parameters

  ea | index of entry to select by default

Returns
  pointer to resulting window

## ◆ open_strings_window()

TWidget * open_strings_window | ( | ea_t | ea,
|  | ea_t | selstart = `BADADDR`,
|  | ea_t | selend = `BADADDR`
| ) |  |
| inline

Open the 'Strings' window (ui_open_builtin).

Parameters

  ea | index of entry to select by default
  selstart,selend | only display strings that occur within this range

Returns
  pointer to resulting window

## ◆ open_segments_window()

TWidget * open_segments_window | ( | ea_t | ea | ) |
| inline

Open the segments window (ui_open_builtin).

Parameters

  ea | index of entry to select by default

Returns
  pointer to resulting window

## ◆ open_segregs_window()

TWidget * open_segregs_window | ( | ea_t | ea | ) |
| inline

Open the segment registers window (ui_open_builtin).

Parameters

  ea | index of entry to select by default

Returns
  pointer to resulting window

## ◆ open_selectors_window()

TWidget * open_selectors_window | ( | void |  | ) |
| inline

Open the selectors window (ui_open_builtin).

Returns
  pointer to resulting window

## ◆ open_signatures_window()

TWidget * open_signatures_window | ( | void |  | ) |
| inline

Open the signatures window (ui_open_builtin).

Returns
  pointer to resulting window

## ◆ open_tils_window()

TWidget * open_tils_window | ( | void |  | ) |
| inline

Open the type libraries window (ui_open_builtin).

Returns
  pointer to resulting window

## ◆ open_loctypes_window()

TWidget * open_loctypes_window | ( | int | ordinal,
|  | const tif_cursor_t * | cursor = `nullptr`
| ) |  |
| inline

Open the local types window (ui_open_builtin2).

Parameters

  ordinal | ordinal of type to select by default
  cursor | cursor to the type member

Returns
  pointer to resulting window

## ◆ open_til_view_window()

TWidget * open_til_view_window | ( | tinfo_t * | tif,
|  | const tif_cursor_t * | cursor = `nullptr`
| ) |  |
| inline

Open the sub-til window (ui_open_builtin2).

Parameters

  tif | tif to open
  cursor | cursor to the type member

Returns
  pointer to resulting window

## ◆ open_calls_window()

TWidget * open_calls_window | ( | ea_t | ea | ) |
| inline

Open the function calls window (ui_open_builtin).

Returns
  pointer to resulting window

## ◆ open_problems_window()

TWidget * open_problems_window | ( | ea_t | ea | ) |
| inline

Open the problems window (ui_open_builtin).

Parameters

  ea | index of entry to select by default

Returns
  pointer to resulting window

## ◆ open_bpts_window()

TWidget * open_bpts_window | ( | ea_t | ea | ) |
| inline

Open the breakpoints window (ui_open_builtin).

Parameters

  ea | index of entry to select by default

Returns
  pointer to resulting window

## ◆ open_threads_window()

TWidget * open_threads_window | ( | void |  | ) |
| inline

Open the threads window (ui_open_builtin).

Returns
  pointer to resulting window

## ◆ open_modules_window()

TWidget * open_modules_window | ( | void |  | ) |
| inline

Open the modules window (ui_open_builtin).

Returns
  pointer to resulting window

## ◆ open_trace_window()

TWidget * open_trace_window | ( | void |  | ) |
| inline

Open the tracing window (ui_open_builtin).

Returns
  pointer to resulting window

## ◆ open_stack_window()

TWidget * open_stack_window | ( | void |  | ) |
| inline

Open the call stack window (ui_open_builtin).

Returns
  pointer to resulting window

## ◆ open_xrefs_window()

TWidget * open_xrefs_window | ( | ea_t | ea | ) |
| inline

Open the cross references window (ui_open_builtin).

Parameters

  ea | index of entry to select by default

Returns
  pointer to resulting window

## ◆ open_frame_window()

TWidget * open_frame_window | ( | func_t * | pfn,
|  | uval_t | offset
| ) |  |
| inline

Open the frame window for the given function (ui_open_builtin).

Parameters

  pfn | function to analyze
  offset | offset where the cursor is placed

Returns
  pointer to resulting window if 'pfn' is a valid function and the window was displayed,
  nullptr otherwise

## ◆ open_navband_window()

TWidget * open_navband_window | ( | ea_t | ea,
|  | int | zoom
| ) |  |
| inline

Open the navigation band window (ui_open_builtin).

Parameters

  ea | sets the address of the navband arrow
  zoom | sets the navband zoom level

Returns
  pointer to resulting window

## ◆ open_disasm_window()

TWidget * open_disasm_window | ( | const char * | window_title,
|  | const rangevec_t * | ranges = `nullptr`
| ) |  |
| inline

Open a disassembly view (ui_open_builtin).

Parameters

  window_title | title of view to open
  ranges | if != nullptr, then display a flow chart with the specified ranges

Returns
  pointer to resulting window

## ◆ open_hexdump_window()

TWidget * open_hexdump_window | ( | const char * | window_title | ) |
| inline

Open a hexdump view (ui_open_builtin).

Parameters

  window_title | title of view to open

Returns
  pointer to resulting window

## ◆ open_notepad_window()

TWidget * open_notepad_window | ( | void |  | ) |
| inline

Open the notepad window (ui_open_builtin).

Returns
  pointer to resulting window

## ◆ open_bookmarks_window()

TWidget * open_bookmarks_window | ( | TWidget * | w | ) |
| inline

Open the bookmarks window (ui_open_builtin).

Parameters

  w | The widget for which the bookmarks will open. For example, this can be an IDAView, or Enums view, etc.

Returns
  pointer to resulting window